diff --git a/arch/arm/mach-s3c6410/mach-ctpc89e.c b/arch/arm/mach-s3c6410/mach-ctpc89e.c
index 2ed8807..c0d1f8e 100644
--- a/arch/arm/mach-s3c6410/mach-ctpc89e.c
+++ b/arch/arm/mach-s3c6410/mach-ctpc89e.c
@@ -662,7 +669,7 @@ EXPORT_SYMBOL(hsmmc_set_gpio);
 struct s3c_hsmmc_cfg s3c_hsmmc0_platform = {
 	.hwport = 0,
 	.enabled = 1,
-	.host_caps = HOST_CAPS,
+	.host_caps = MMC_CAP4_BIT_DATA, // HOST_CAPS,
 	.bus_width = 4,
 	.highspeed = 0,  /* High speed for mmc channel 0, SD clock up to 50M*/
 	.max_clock = 50 * 1000 * 1000,
@@ -677,16 +684,16 @@ struct s3c_hsmmc_cfg s3c_hsmmc0_platform = {
 
 	/* ctrl for sd */
 	.fd_ctrl[MMC_TYPE_SD] = {
-		.ctrl2 = 0xC0004100,			/* ctrl2 for sd */
-		.ctrl3[SPEED_NORMAL] = 0x80808080,	/* ctrl3 for low speed */
-		.ctrl3[SPEED_HIGH]   = 0x00008080,	/* ctrl3 for high speed */
+		.ctrl2 = 0xC0000100,			/* ctrl2 for sd */
+		.ctrl3[SPEED_NORMAL] = 0x0,	/* ctrl3 for low speed */
+		.ctrl3[SPEED_HIGH]   = 0x0,	/* ctrl3 for high speed */
 		.ctrl4 = 0x3,
 	},
 
 	.fd_ctrl[MMC_TYPE_SDIO] = {
-		.ctrl2 = 0xC0004100,			/* ctrl2 for sdio */
-		.ctrl3[SPEED_NORMAL] = 0x80808080,	/* ctrl3 for low speed */
-		.ctrl3[SPEED_HIGH]   = 0x00008080,	/* ctrl3 for high speed */
+		.ctrl2 = 0xC0001100,			/* ctrl2 for sdio */
+		.ctrl3[SPEED_NORMAL] = 0x0,	/* ctrl3 for low speed */
+		.ctrl3[SPEED_HIGH]   = 0x0,	/* ctrl3 for high speed */
 		.ctrl4 = 0x3,
 	},
 
@@ -699,7 +706,7 @@ struct s3c_hsmmc_cfg s3c_hsmmc0_platform = {
 struct s3c_hsmmc_cfg s3c_hsmmc1_platform = {
 	.hwport = 1,
 	.enabled = 1,
-	.host_caps = HOST_CAPS,
+	.host_caps = MMC_CAP4_BIT_DATA, // HOST_CAPS,
 	.bus_width = 4,
 	//.host_caps = HOST_CAPS | MMC_CAP_8_BIT_DATA,
 	//.bus_width = 8,
@@ -710,23 +717,23 @@ struct s3c_hsmmc_cfg s3c_hsmmc1_platform = {
 	/* ctrl for mmc */
 	.fd_ctrl[MMC_TYPE_MMC] = {
 		.ctrl2 = 0xC0004100,			/* ctrl2 for mmc */
-		.ctrl3[SPEED_NORMAL] = 0x80808080,	/* ctrl3 for low speed */
-		.ctrl3[SPEED_HIGH]   = 0x00008080,	/* ctrl3 for high speed */
+		.ctrl3[SPEED_NORMAL] = 0x0,	/* ctrl3 for low speed */
+		.ctrl3[SPEED_HIGH]   = 0x0,	/* ctrl3 for high speed */
 		.ctrl4 = 0x3,
 	},
 
 	/* ctrl for sd */
 	.fd_ctrl[MMC_TYPE_SD] = {
-		.ctrl2 = 0xC0004100,			/* ctrl2 for sd */
-		.ctrl3[SPEED_NORMAL] = 0x80808080,	/* ctrl3 for low speed */
-		.ctrl3[SPEED_HIGH]   = 0x00008080,	/* ctrl3 for high speed */
+		.ctrl2 = 0xC0000100,			/* ctrl2 for sd */
+		.ctrl3[SPEED_NORMAL] = 0x0,	/* ctrl3 for low speed */
+		.ctrl3[SPEED_HIGH]   = 0x0,	/* ctrl3 for high speed */
 		.ctrl4 = 0x3,
 	},
 
 	.fd_ctrl[MMC_TYPE_SDIO] = {
 		.ctrl2 = 0xC0004100,			/* ctrl2 for sdio */
-		.ctrl3[SPEED_NORMAL] = 0x80808080,	/* ctrl3 for low speed */
-		.ctrl3[SPEED_HIGH]   = 0x00008080,	/* ctrl3 for high speed */
+		.ctrl3[SPEED_NORMAL] = 0x0,	/* ctrl3 for low speed */
+		.ctrl3[SPEED_HIGH]   = 0x0,	/* ctrl3 for high speed */
 		.ctrl4 = 0x3,
 	},
 
